// Kubejs scripts for immersive engineering

ServerEvents.recipes(event => {

//Remove progression breaking crushing outputs
event.remove({ output: 'minecraft:charcoal', type: 'immersiveengineering:coke_oven' })
event.remove({ output: 'immersiveengineering:coal_coke', type: 'immersiveengineering:coke_oven' })
event.remove({ output: 'immersiveengineering:coke', type: 'immersiveengineering:coke_oven' })

event.recipes.immersiveengineering.coke_oven('minecraft:charcoal', '#minecraft:logs', 250, 200)
event.recipes.immersiveengineering.coke_oven('immersiveengineering:coal_coke', 'minecraft:coal', 500, 200)
event.recipes.immersiveengineering.coke_oven('immersiveengineering:coke', 'minecraft:coal_block', 4500, 1200)

// Remove unwanted kiln recipes
event.remove({ output: 'create:brass_ingot', type: 'immersiveengineering:alloy' })

// Arc furnace electrodes blueprint
event.shaped(
  Item.of('immersiveengineering:blueprint', '{blueprint:"electrode"}'),
  [
    'ABA',
    'CCC',
    'DDD'
  ],
  {
    A: 'minecraft:emerald',
    B: 'immersiveengineering:ingot_hop_graphite',
    C: 'minecraft:blue_dye',
	D: 'minecraft:paper'
  }
)

})